import request from '@/utils/request'

// 查询聊天记录列表列表
export function listChat(query) {
  return request({
    url: '/bst/chat/list',
    method: 'get',
    params: query
  })
}

// 查询聊天记录列表详细
export function getChat(id) {
  return request({
    url: '/bst/chat/' + id,
    method: 'get'
  })
}

// 新增聊天记录列表
export function addChat(data) {
  return request({
    url: '/bst/chat',
    method: 'post',
    data: data
  })
}

// 修改聊天记录列表
export function updateChat(data) {
  return request({
    url: '/bst/chat',
    method: 'put',
    data: data
  })
}

// 删除聊天记录列表
export function delChat(id) {
  return request({
    url: '/bst/chat/' + id,
    method: 'delete'
  })
}
